.TH "ETC-UPDATE" "1" "Mar 2012" "Portage 2.2.14-prefix" "Portage"
.SH "NAME"
etc\-update \- handle configuration file updates
.SH "SYNOPSIS"
.BR etc\-update
[\fIoptions\fR] [\fI--automode <mode>\fR] [\fIpaths to scan\fR]
.SH "DESCRIPTION"
\fIetc\-update\fR is supposed to be run after merging a new package to see if
there are updates to the configuration files.  If a new
configuration file will override an old one,
\fIetc\-update\fR will prompt the user for a decision.
.PP
\fIetc\-update\fR will check all directories specified on the command
line.  If no paths are given, then the \fICONFIG_PROTECT\fR variable
will be used.  All config files found in \fICONFIG_PROTECT_MASK\fR will
automatically be updated for you by \fIetc\-update\fR.
See \fBmake.conf\fR(5) for more information.
.PP
\fIetc\-update\fR respects the normal \fIPORTAGE_CONFIGROOT\fR and
\fIEROOT\fR variables for finding the aforementioned config protect variables.
.SH "OPTIONS"
.TP
.BR \-d ", " \-\-debug
Run with shell tracing enabled.
.TP
.BR \-h ", " \-\-help
Surprisingly, show the help output.
.TP
.BR \-p ", " \-\-preen
Automerge trivial changes only and quit.
.TP
.BR \-v ", " \-\-verbose
Show settings and important decision info while running.
.TP
.BR "\-\-automode <mode>"
Select one of the automatic merge modes.  Valid modes are: \-3 \-5 \-7 \-9.
See the \fI\-\-help\fR text for more details.
.SH "REPORTING BUGS"
Please report bugs via http://bugs.gentoo.org/
.SH "AUTHORS"
.nf
Jochem Kossen and Leo Lipelis
Karl Trygve Kalleberg <karltk@gentoo.org>
Mike Frysinger <vapier@gentoo.org>
.fi
.SH "FILES"
.TP
.B /etc/etc\-update.conf
Configuration settings for \fIetc\-update\fR are stored here.
.SH "SEE ALSO"
.BR dispatch\-conf (1),
.BR make.conf (5)
